### Method

# GLib Hook compare_ids

#### Declaration [src]

    gint
    g_hook_compare_ids (
      GHook* new_hook,
      GHook* sibling
    )

#### Description [src]

Compares the ids of two `GHook` elements, returning a negative value if the second id is greater than the first.

#### Parameters

`sibling`

  Type: `GHook`

  A `GHook` to compare with `new_hook`.

  The data is owned by the caller of the method.

#### Return value

Type: `gint`

A value <= 0 if the id of `sibling` is >= the id of `new_hook`.